package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class ExportReportDetailabDTO {
    @Excel(name = "病人住院序号", width = 20, orderNum = "1")
    private String behospitalCode;

    @Excel(name = "病人姓名", orderNum = "2")
    private String name;

    @Excel(name = "性别", orderNum = "3")
    private String sex;

    @Excel(name = "病案号", orderNum = "4")
    private String fileCode;

    @Excel(name = "主管医生", width = 20, orderNum = "5")
    private String doctorName;

    @Excel(name = "住院科室", orderNum = "6")
    private String behDeptName;

    @Excel(name = "规则名称", width = 40, orderNum = "7")
    private String ruleName;

    @Excel(name = "入院日期", format = "yyyy-MM-dd HH:mm:ss", width = 30, orderNum = "8")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date behospitalDate;

    @Excel(name = "入院记录创建时间", format = "yyyy-MM-dd HH:mm:ss", width = 30, orderNum = "9")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date behospitalGmtCreate;

    @Excel(name = "是否归档", orderNum = "10")
    private String isPlacefile;

}
